"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMainnetTokens = void 0;
const raydium_sdk_1 = require("@raydium-io/raydium-sdk");
function getMainnetTokens() {
    var tokens = [];
    for (const [, splInfo] of Object.entries(raydium_sdk_1.MAINNET_SPL_TOKENS)) {
        const tokenInfo = {
            value: splInfo.symbol,
            label: splInfo.symbol,
            logo: `https://sdk.raydium.io/icons/${splInfo.mint}.png`,
            mint: splInfo.mint,
            decimals: splInfo.decimals
        };
        tokens.push(tokenInfo);
    }
    return tokens;
}
exports.getMainnetTokens = getMainnetTokens;
